PHP-инклюдинг в datecomm

Дата публикации:
19.11.2007
Дата изменения:
24.03.2009
Всего просмотров:
1040
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-5992
CVE-2007-6057
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
datecomm
Уязвимые версии: datecomm

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "pg" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[host]/index.php?pg=[file]

URL производителя: datecomm.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:

04.12.2007
Добавлен PoC код.
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA